<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPLANCDTEditViewBase from './emplancdtedit-view-base.vue';

import view_form from '@widgets/emplan-cdt/main2-form/main2-form.vue';

/**
 * 计划条件
 *
 * @export
 * @class EMPLANCDTEditView
 * @extends {EMPLANCDTEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPLANCDTEditView extends EMPLANCDTEditViewBase { }
</script>